Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::TexCoordModifierControllerValue Class Reference

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates). More...

`#include <OgrePredefinedControllers.h>`

Inheritance diagram for Ogre::TexCoordModifierControllerValue:

[legend]
List of all members.

## Public Member Functions
| TexCoordModifierControllerValue (TextureUnitState *t, bool translateU=false, bool translateV=false, bool scaleU=false, bool scaleV=false, bool rotate=false)
| Constructor.
Real | getValue (void) const
void | setValue (Real value)
## Protected Attributes
bool | mTransU
bool | mTransV
bool | mScaleU
bool | mScaleV
bool | mRotate
TextureUnitState * | mTextureLayer

## Detailed Description

Predefined controller value for getting / setting a texture coordinate modifications (scales and translates).

Remarks:
  Effects can be applied to the scale or the offset of the u or v coordinates, or both. If separate modifications are required to u and v then 2 instances are required to control both independently, or 4 if you ant separate u and v scales as well as separate u and v offsets.

  Because of the nature of this value, it can accept values outside the 0..1 parametric range.

Definition at line 95 of file OgrePredefinedControllers.h.

## Constructor & Destructor Documentation

Ogre::TexCoordModifierControllerValue::TexCoordModifierControllerValue | ( | TextureUnitState * | t,
|  | bool | translateU = `false`,
|  | bool | translateV = `false`,
|  | bool | scaleU = `false`,
|  | bool | scaleV = `false`,
|  | bool | rotate = `false`
| ) |

  | Constructor. Parameters:
  | t | TextureUnitState to apply the modification to.
  | translateU | If true, the u coordinates will be translated by the modification.
  | translateV | If true, the v coordinates will be translated by the modification.
  | scaleU | If true, the u coordinates will be scaled by the modification.
  | scaleV | If true, the v coordinates will be scaled by the modification.
  | rotate | If true, the texture will be rotated by the modification.

## Member Function Documentation

Real Ogre::TexCoordModifierControllerValue::getValue | ( | void |  | ) | const`[virtual]`

| Implements Ogre::ControllerValue< Real >.

void Ogre::TexCoordModifierControllerValue::setValue | ( | Real | value | ) | `[virtual]`

| Implements Ogre::ControllerValue< Real >.

## Member Data Documentation

bool Ogre::TexCoordModifierControllerValue::mRotate`[protected]`

| Definition at line 100 of file OgrePredefinedControllers.h.

bool Ogre::TexCoordModifierControllerValue::mScaleU`[protected]`

| Definition at line 99 of file OgrePredefinedControllers.h.

bool Ogre::TexCoordModifierControllerValue::mScaleV`[protected]`

| Definition at line 99 of file OgrePredefinedControllers.h.

TextureUnitState* Ogre::TexCoordModifierControllerValue::mTextureLayer`[protected]`

| Definition at line 101 of file OgrePredefinedControllers.h.

bool Ogre::TexCoordModifierControllerValue::mTransU`[protected]`

| Definition at line 98 of file OgrePredefinedControllers.h.

bool Ogre::TexCoordModifierControllerValue::mTransV`[protected]`

| Definition at line 98 of file OgrePredefinedControllers.h.

The documentation for this class was generated from the following file:

- OgrePredefinedControllers.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:52 2008